The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  вход/выход  слежка  RSS
"Выпуск библиотеки Qt5Gtk2 0.3 для интеграции Qt5-программ в ..."
Вариант для распечатки  
Пред. тема | След. тема 
Форум Разговоры, обсуждение новостей
Изначальное сообщение [ Отслеживать ]

"Выпуск библиотеки Qt5Gtk2 0.3 для интеграции Qt5-программ в ..."  +/
Сообщение от opennews (??) on 17-Авг-16, 21:03 
Доступна (https://bitbucket.org/trialuser02/qt5gtk2) очередная версия проекта Qt5Gtk2, в рамках которого развивается плагин для  Qt5, обеспечивающий интеграцию с GTK+2.0. Плагин основан на коде, удалённом из состава Qt 5.7. Кроме поддержки стилей, имеется возможность использовать файловые диалоги из GTK+2.0. Код поставляется (https://bitbucket.org/trialuser02/qt5gtk2/downloads) под лицензией  GPLv2+.


Основные изменения относительного оригинального кода из состава Qt 5.6:


-  Обеспечен вызов функций библиотеки GTK+2.0 напрямую, без задействования QLibrary::resolve;
-  Удалена зависимость от GConf;
-  Удалено предупреждение об отсутствующем свойстве GtkRange::activate-slider;
-  Проведена чистка неиспользуемого кода.


URL: https://bitbucket.org/trialuser02/qt5gtk2
Новость: https://www.opennet.ru/opennews/art.shtml?num=44981

Ответить | Правка | Cообщить модератору

Оглавление

Сообщения по теме [Сортировка по времени | RSS]


1. "Выпуск библиотеки Qt5Gtk2 0.3 для интеграции Qt5-программ в ..."  –4 +/
Сообщение от Аноним (??) on 17-Авг-16, 21:03 
GTK 2? Его всё ещё кто то использует?
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

2. "Выпуск библиотеки Qt5Gtk2 0.3 для интеграции Qt5-программ в ..."  +6 +/
Сообщение от robux (ok) on 17-Авг-16, 21:21 
98% прикладных программ используют Gtk2.
И я, например, на Gtk3 переходить не собираюсь.
Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

12. "Выпуск библиотеки Qt5Gtk2 0.3 для интеграции Qt5-программ в ..."  +1 +/
Сообщение от Аноним (??) on 18-Авг-16, 00:10 
Никто всё равно не узнает, перейдёшь ты туда-сюда или нет.


Ответить | Правка | ^ к родителю #2 | Наверх | Cообщить модератору

15. "Выпуск библиотеки Qt5Gtk2 0.3 для интеграции Qt5-программ в ..."  +2 +/
Сообщение от anonymous (??) on 18-Авг-16, 10:27 
А кто-то должен узнать?
Ответить | Правка | ^ к родителю #12 | Наверх | Cообщить модератору

6. "Выпуск библиотеки Qt5Gtk2 0.3 для интеграции Qt5-программ в ..."  +1 +/
Сообщение от anonymous (??) on 17-Авг-16, 22:50 
>GTK 2? Его всё ещё кто то использует?

Под gtk3 пока ничего нет. А тут хоть от gtk2 темку можно натянуть, чтобы под тем же mate всё более менее едино выглядело.

Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

13. "Выпуск библиотеки Qt5Gtk2 0.3 для интеграции Qt5-программ в ..."  +/
Сообщение от Аноним (??) on 18-Авг-16, 02:29 
А разве mate(гном 2) не переписывают на гтк3 ?
Ответить | Правка | ^ к родителю #6 | Наверх | Cообщить модератору

14. "Выпуск библиотеки Qt5Gtk2 0.3 для интеграции Qt5-программ в ..."  +/
Сообщение от anonymous (??) on 18-Авг-16, 09:48 
Переписывают. Но в большинстве дистрибутивов есть пока что темы в gtk2-варианте.
Ответить | Правка | ^ к родителю #13 | Наверх | Cообщить модератору

20. "Выпуск библиотеки Qt5Gtk2 0.3 для интеграции Qt5-программ в ..."  –1 +/
Сообщение от Аноним (??) on 18-Авг-16, 13:46 
MATE можно уже собрать с GTK3.
Ответить | Правка | ^ к родителю #13 | Наверх | Cообщить модератору

16. "Выпуск библиотеки Qt5Gtk2 0.3 для интеграции Qt5-программ в ..."  +2 +/
Сообщение от Аноним (??) on 18-Авг-16, 10:37 
>Кроме поддержки стилей, имеется возможность использовать файловые диалоги из GTK+2.0.

Вот бы наоборот если бы. Чтобы Gtk_2/Gtk_3 использовало KDEшные файловые диалоги.

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

17. "Выпуск библиотеки Qt5Gtk2 0.3 для интеграции Qt5-программ в ..."  +/
Сообщение от Аноним (??) on 18-Авг-16, 11:15 
Ишь чаво захотел. Может тебе ещё и Undo в полях ввода сделать?
Ответить | Правка | ^ к родителю #16 | Наверх | Cообщить модератору

19. "Выпуск библиотеки Qt5Gtk2 0.3 для интеграции Qt5-программ в ..."  –2 +/
Сообщение от Аноним (??) on 18-Авг-16, 12:18 
А что в кедах этого нет?
Ответить | Правка | ^ к родителю #17 | Наверх | Cообщить модератору

18. "Выпуск библиотеки Qt5Gtk2 0.3 для интеграции Qt5-программ в ..."  +/
Сообщение от anonymous (??) on 18-Авг-16, 11:51 
>Вот бы наоборот если бы. Чтобы Gtk_2/Gtk_3 использовало KDEшные файловые диалоги.

Я не слышал про аналог platform plugin для gtk. Так что скорее всего надо патчить исходники gtk. И вроде даже под третьи кеды был какой-то патч.

Ответить | Правка | ^ к родителю #16 | Наверх | Cообщить модератору

25. "Выпуск библиотеки Qt5Gtk2 0.3 для интеграции Qt5-программ в ..."  +/
Сообщение от Мимомордоврат email on 30-Сен-16, 11:58 
Зачем умышленно переходить на это убожество с неюзабельным автодополнением пути и без Emacs keybindings? GTK+ разрабатывается никсоидами для NIX-систем. Кеды же для латентных шиндузятников, которые хотят винду с крутыми перделками и кастомизацией мышкой из коробки (ставить-то ещё что-то лень), отчего диалог по UI/UX почти копирует виндовый. А ещё кичатся отдельной колонкой для каких-то шиндузятных/досовских расширений, которые суть просто суффикс в имени файла. Давайте тогда по _ имя дробить и по отдельным колонкам распихивать, агась?
Ответить | Правка | ^ к родителю #16 | Наверх | Cообщить модератору

21. "Выпуск библиотеки Qt5Gtk2 0.3 для интеграции Qt5-программ в ..."  –2 +/
Сообщение от Аноним (??) on 18-Авг-16, 21:50 
Одобряю. Хотя мало где эта либа может пригодиться: как никак, приложения на Qt достаточно редки, если сравнивать с божественным GTK+.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

22. "Выпуск библиотеки Qt5Gtk2 0.3 для интеграции Qt5-программ в ..."  +2 +/
Сообщение от Led (ok) on 19-Авг-16, 00:20 
> божественным GTK+.

т.е. мифическим, сказочным, несуществующим?

Ответить | Правка | ^ к родителю #21 | Наверх | Cообщить модератору

23. "Выпуск библиотеки Qt5Gtk2 0.3 для интеграции Qt5-программ в ..."  –1 +/
Сообщение от Аноним (??) on 21-Авг-16, 10:04 
Qt5 и GTK2. Qt5 версии >= 5.7.0. Для кого это?
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

24. "Выпуск библиотеки Qt5Gtk2 0.3 для интеграции Qt5-программ в ..."  –1 +/
Сообщение от anonymous (??) on 21-Авг-16, 10:30 
кдешник?
Ответить | Правка | ^ к родителю #23 | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2021 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру